Subject: RE: [Mip4] New revision for rfc3344bis; UDP inconsistency and candidate solution

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Tue, 28 Nov 2006 13:13:26 -0800

Yes, I agree as well.

Kent 

-----Original Message-----
From: Vijay Devarapalli [mailto:[email-masked]] 
Sent: Sunday, November 26, 2006 5:41 PM
To: Charles E. Perkins
Cc: Mobile IPv4 Mailing List
Subject: Re: [Mip4] New revision for rfc3344bis;UDP inconsistency and
candidate solution

Charles E. Perkins wrote:

> As pointed out, copying the value of the destination port into the 
> source port should be identically the same as setting the source port 
> value to 434.  So, the value of the field cannot be described as 
> "variable" as things now stand.

I agree with Sami and Henrik. just copy the destination port on the
registration request instead of saying port 434 explicitly.

> I propose the following text changes:
> 
> (A) In section "3.4. Registration Reply", change
> 
>  >    UDP fields:
>  >
>  >        Source Port           <variable>
> 
> to be:
> 
>    UDP fields:
> 
>        Source Port           434

    UDP fields:

        Source Port           Copied from the UDP destination port
                              of the corresponding Registration
                              Request.

> (B). In section "3.8.3.1. IP/UDP Fields", change:
> 
>  >       UDP Source Port
>  >                Copied from the UDP Destination Port of the
Registration
>  >                Request.

and leave this as is.

Vijay

--
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/